%define origname kvirc

Name: %{origname}4
%define major 4
%define minor 0
%define bugfix 0
%define rlz alt2
%define rev 3573

Version: %major.%minor.%bugfix
Release: %rlz.r%rev

Group: Networking/IRC
Summary: KDE Enhanced Visual IRC Client
Url: http://www.kvirc.net/
License: GPLv2+

Source: %name-%version.tar

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

BuildRequires(pre): kde-common-devel
BuildPreReq: gcc-c++ kde4libs-devel libesd-devel
BuildPreReq: perl-devel
#BuildPreReq: libcryptopp-devel
BuildPreReq: python-devel
BuildPreReq: cmake >= 2.6.4 libqt4-devel >= 4.5.0

Requires: %name-data = %version-%release

Conflicts: kvirc < 4.0.0

%description
KVIrc is an enchanced visual irc client. Features:
 - MDI interface
 - CTCP's
 - DCC CHAT SEND/GET
 - Individual queries
 - Scripting
 - Aliases
 - Events (remote)
 - Complete color,background and behavior configuration
 - IPv6 support


%package devel
Summary: Header files for KVirc library
Group: Development/KDE and QT
Requires: %name = %version-%release

%description devel
Header files for KVirc library.


%package data
Summary: Data files for %name
Group: Networking/IRC
BuildArch: noarch

%description data
KVIrc is an enchanced visual irc client.
This package contains data files for %name.


%prep
%setup

%build
%K4cmake \
%if_enabled debug
    -DWITH_DEBUG:BOOL=1 \
%endif
    -DMANUAL_REVISION=%rev \
    -DWANT_COEXISTENCE:BOOL=0 \
    -DWITH_PIZZA:BOOL=1 \
    -DWITH_BEER:BOOL=1
    
#-DWANT_NO_EMBEDDED_CODE:BOOL=1 \

%K4make

%install
%K4install

if ! [ -d %buildroot%_libdir/%origname/%major.%minor/modules ]
then
    mkdir -p %buildroot%_libdir/%name/%major.%minor
    mv %buildroot%_datadir/%origname/%major.%minor/modules %buildroot%_libdir/%origname/%major.%minor/
    ln -s ../../../../%_libdir/%origname/%major.%minor/modules %buildroot%_datadir/%origname/%major.%minor/modules
fi
#mv %buildroot%_datadir/services/irc.protocol %buildroot%_datadir/services/%{name}_irc.protocol
#mv %buildroot%_datadir/services/irc6.protocol %buildroot%_datadir/services/%{name}_irc6.protocol

#for icon in %buildroot%_iconsdir/hicolor/*/apps/%origname.png; do
#    mv $icon ${icon%%/*}/%name.png
#done
#mv %buildroot%_iconsdir/hicolor/scalable/apps/{%origname,%name}.svgz

#sed -i 's,Icon=%origname,Icon=%name,' %buildroot%_datadir/applications/%name.desktop

#mv %buildroot%_man1dir/{%origname,%name}.1

%files
#%%_bindir/kvi_*
%_bindir/%origname
%_libdir/lib*.so.*
%dir %_libdir/kvirc
%dir %_libdir/kvirc/%major.%minor
%dir %_libdir/kvirc/%major.%minor/modules
#%%_libdir/kvirc/%major.%minor/modules/caps
%_libdir/kvirc/%major.%minor/modules/*.so

#%%_datadir/services/*
%_K4xdg_mime/%origname.xml

%_iconsdir/hicolor/*/apps/%origname.*
#%%_iconsdir/hicolor/*/apps/%name.*
%_iconsdir/hicolor/*/mimetypes/*-x-kv?.*

%_datadir/applications/%origname.desktop

%_man1dir/%origname.*

%files data
%dir %_datadir/kvirc
%dir %_datadir/kvirc/%major.%minor
%doc %_datadir/kvirc/%major.%minor/doc
%_datadir/kvirc/%major.%minor/config
%_datadir/kvirc/%major.%minor/defscript
%_datadir/kvirc/%major.%minor/pics
%_datadir/kvirc/%major.%minor/help
%_datadir/kvirc/%major.%minor/locale
%_datadir/kvirc/%major.%minor/license
%_datadir/kvirc/%major.%minor/modules
%_datadir/kvirc/%major.%minor/msgcolors
%_datadir/kvirc/%major.%minor/themes


%if 0
%files devel
%_bindir/kvirc4-config
%_libdir/lib*.so
#%%_includedir/%name
%endif


%changelog
* Sun Oct 25 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3573
- r3573

* Mon Sep 28 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3534
- r3534

* Fri Sep 18 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3513
- r3513

* Thu Sep 10 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3489
- r3489
- disable coexistence support, add Conflicts: kvirc

* Tue Sep 01 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3459
- 4.0RC1

* Fri Jul 24 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3377
- r3377
- update versioned buildreqs
- enable ESD backend

* Sun Jul 19 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3354
- r3354

* Sun Jul 12 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3334
- r3334

* Thu Jul 09 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3327
- r3327

* Sun Jul 05 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3303
- r3303

* Fri Jun 26 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3288
- r3288

* Tue May 26 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3222
- r3222

* Sun May 10 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3212
- r3212

* Mon May 04 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3191
- r3191
- install the application icons as kvirc4.png (closes: #19894)

* Fri May 01 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3189
- r3189

* Sun Apr 05 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3172
- r3172

* Thu Mar 26 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3164
- r3164
- package %%_datadir/kvirc as a separate noarch package

* Fri Mar 20 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3154
- r3154

* Mon Mar 16 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3147
- r3147

* Sat Mar 07 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3120
- r3120

* Mon Mar 02 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3118
- r3118

* Mon Mar 02 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3114
- r3114

* Sun Mar 01 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt2.r3107
- Sisyphus build
- disable QPainter::Antialiasing (workaround for upstream #379)
- fix bot detection (upstream #381)

* Sat Feb 28 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt1.r3107
- r3107

* Fri Feb 20 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt1.r3091
- r3091

* Tue Feb 17 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt1.r3080
- r3080

* Sat Jan 31 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt1.r3061
- r3061

* Thu Jan 22 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt1.r3022
- r3022

* Sun Jan 11 2009 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt1.r2985
- r2985

* Thu Dec 11 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt1.r2948
- r2948

* Sat Nov 22 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt1.r2912
- r2912
- remove update_*/clean_* invocations
- clean up buildreqs

* Wed Nov 12 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt1.r2851
- r2851
- add buildreqs

* Fri Nov 07 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt1.r2836
- r2836
- build with KDE4

* Tue Nov 04 2008 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt1.r2814
- 4.0 (trunk) r2814
- package as kvirc4

* Tue Aug 12 2008 Sergey V Turchin <zerg at altlinux dot org> 3.4.0.2228-alt1
- update from svn 3.4/branch r2228

* Thu Mar 27 2008 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt1
- new version

* Fri Mar 07 2008 Sergey V Turchin <zerg at altlinux dot org> 3.2.6-alt3.r1070
- udpate from svn r1070

* Wed Jun 27 2007 Sergey V Turchin <zerg at altlinux dot org> 3.2.6-alt2
- add fix for CVE-2007-2951

* Tue Jan 09 2007 Sergey V Turchin <zerg at altlinux dot org> 3.2.6-alt1
- new version

* Mon Oct 02 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.5-alt2
- fix dock icon

* Fri Sep 22 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.5-alt1
- new version
- add patch to set main window active when click dock
- update some icons

* Mon Sep 04 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.4-alt3
- fix menu entry

* Wed Aug 30 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.4-alt2
- add new icons

* Tue Aug 29 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.4-alt1
- new version

* Mon Jun 05 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt2
- fix built on x86_64
- fix showing minimized main window by clicking on dock

* Thu Jun 01 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- new version

* Mon Apr 24 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt0.14.cvs20060424
- new cvs snapshot

* Fri Mar 31 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt0.13.cvs20060329
- remove rpath

* Wed Mar 29 2006 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt0.12.cvs20060329
- built for Sisyphus

* Wed Mar 22 2006 Zerg <zerg at altlinux dot org> 3.2.1-alt0.11.M30
- update from cvs

* Wed Mar 15 2006 Zerg <zerg at altlinux dot org> 3.2.1-alt0.10.M30
- update from cvs

* Sat Mar 04 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.9.M30
- update from cvs

* Tue Feb 28 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.8.M30
- update from cvs

* Fri Feb 24 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.7.M30
- fix alias(avatar) script

* Fri Feb 24 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.6.M30
- update from cvs

* Thu Feb 23 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.5.M30
- add patch to don't exit on close main window

* Thu Feb 23 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.4.M30
- update from cvs

* Thu Feb 23 2006 Zerg <zerg at altlinux dot ru> 3.2.0.20051230-alt0.3.M30
- update from cvs

* Wed Jan 25 2006 Zerg <zerg at altlinux dot ru> 3.2.0-alt0.2.M30
- rebuilt for M30

* Sun Aug 28 2005 Zerg <zerg at altlinux dot ru> 3.2.0-0.1
- built for ALT
